<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<style>
    .edge .layui-edge {
        right: 20px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <form class="layui-form">
            <div class="layui-form-item">
                <input type="radio" lay-filter="kindValue" name="kindValue" value="0" title="奶茶手提杯托" checked>
                <input type="radio" lay-filter="kindValue" name="kindValue" value="1" title="蛋糕盒腰封">
            </div>
        </form>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="手提杯托">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <input type="radio" lay-filter="kind" name="kind" value="250克白卡纸" title="250克白卡纸" checked/>
                <input class="tea_type" type="radio" lay-filter="kind" name="kind" value="0.18mm哑白PVC"
                       title="0.18mm哑白PVC"/>
                <input class="tea_type" type="radio" lay-filter="kind" name="kind" value="0.32mm哑白PVC"
                       title="0.32mm哑白PVC"/>
            </div>
            <p>
                尺寸(CM/厘米)<span style="font-size:14px;color:red">尺寸推荐:异形款30*60cm/常规款 单杯：14.4*38.6cm双杯：24*38.6cm</span>
            </p>
            <input type="text" name="size" placeholder="格式:长*宽" id="size" class="layui-input" autocomplete="off">
            <div class="select_size" style="display: none">
                <div class="layui-form-item">
                    <select class="select" id="select_size" lay-filter="select_size">
                        <option value="14*44">14*44cm(单杯)</option>
                        <option value="27.8*44">27.8*44cm(双杯)</option>
                    </select>
                </div>
            </div>
            <p>
                数量（张）
            <div class="count">
                <div class="layui-form-item">
                    <select name="count" class="select">
                        <option value="200">200</option>
                        <option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="8000">8000</option>
                        <option value="10000">10000</option>
                    </select>
                </div>
            </div>
            <div class="diyCount" style="display: none">
                <div class="layui-form-item">
                    <input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input"
                           autocomplete="off">
                </div>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>工艺</p>
            <div class="layui-input-block" style="display:inline-block;">
                <input type="radio" name="craftMo" value="模切" title="模切" checked>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn" id="queryCondBtn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        getImage();
        // 监听回车键，如果敲了回车，调用点击‘计算’
        $(document).keydown(function (e) {
            if (e.keyCode === 13) {
                $("#queryCondBtn").trigger("click");
            }
        });
        //建造实例
        ins = carousel.render({});

        form.on("select(select_size)", function (data) {
            let value = $("#select_size option:selected").val();
            $("#size").val(value)
        })
        form.on("radio(kind)", function (data) {
            let html = ` <option value="200">200</option>
                        <option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="8000">8000</option>
                        <option value="10000">10000</option>`;
            $(".select_size").hide();
            $("#size").val("").show();
            if (data.value != "250克白卡纸") {
                html = `<option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="10000">10000</option>`;
                $(".select_size").show();
                $("#size").hide();
                let value = $("#select_size option:selected").val();
                $("#size").val(value)
            }
            $("select[name='count']").empty().append(html)
            form.render();
            getImage();
        })
        form.on('radio(kindValue)', function (data) {
            $("input[name='kind'][value='250克白卡纸']").prop("checked", true);
            $(".tea_type").prop("disabled", true);
            if (data.value == "0") {
                $(".tea_type").prop("disabled", false);
            }
            $(".select_size").hide();
            $("#size").val("").show();
            let html = ` <option value="200">200</option>
                        <option value="500">500</option>
                        <option value="1000">1000</option>
                        <option value="2000">2000</option>
                        <option value="3000">3000</option>
                        <option value="5000">5000</option>
                        <option value="8000">8000</option>
                        <option value="10000">10000</option>`;
            $("select[name='count']").empty().append(html)

            form.render();

            getImage();
        });

        function getImage() {
            var html = " ";
            var remark = " ";
            // 清空轮播图
            $("#carousel").empty();
            $("#remark").empty();
            let data = {
                proTypeValue: "手提杯托",
                kindValue: $("input[name='kindValue']:checked").val()
            }
            if ($("input[name='kindValue']:checked").val() == "0") {
                if ($("input[name='kind']:checked").val() == "250克白卡纸") {
                    data.kind2Value = $("input[name='kind']:checked").val();
                } else {
                    data.kind2Value = "PVC";
                }
            }
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data: data,
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        remark = "";
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                        remark += '<div><span>' + result[i].remark + '<span/></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有说明，就不显示null
                    if (remark.indexOf("null") < 0) {
                        $("#remark").append(remark);
                    }
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
            form.render();
        }

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            // 选中‘自定义数量’
            var number = $("#number").val();
            var count = $("select[name='count'] option:selected").text();
            let size = $("#size").val();
            if (!size) {
                layer.msg('请输入正确尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    var span_result = size + "cm-" + $("input[name='kind']:checked").val() + $("input[name='kindValue']:checked").attr("title") + ' - 模切 (同款内容)\n';
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>